<?php
	function toggle($pinname) {
		$state = file_get_contents("/sys/class/gpio/" . $pinname . "/value");
		if($state == 0) $newstate = 1; else $newstate = 0;
		file_put_contents("/sys/class/gpio/" . $pinname . "/value", $newstate);
	}

	function state2color($pinname)
	{
		$state = file_get_contents("/sys/class/gpio/" . $pinname . "/value");
		if($state == 0) return "#AAAAAA";
		return "#008800";
	}

	function reinit_output($arr, $size)
	{
		$tmp = 0;
		while($tmp < $size)
		{
			$tmp++;
			file_put_contents("/sys/class/gpio/export", $tmp);
		}
		$tmp = 0;
		while($tmp < $size)
		{
			$tmp++;
			file_put_contents("/sys/class/gpio/" . $arr[$tmp]['name'] . "/direction", "out");
		}
		$tmp = 0;
		while($tmp < $size)
		{
			$tmp++;
			file_put_contents("/sys/class/gpio/" . $arr[$tmp]['name'] . "/value", "0");
		}
	}

	$i = 0;
	$pin2id[++$i]['name'] = "gpio1_ph15";
	$pin2id[$i]['desc'] = "Out 1";
	$pin2id[++$i]['name'] = "gpio2_ph14";
	$pin2id[$i]['desc'] = "Out 2";
	$pin2id[++$i]['name'] = "gpio3_pb18";
	$pin2id[$i]['desc'] = "Out 3";
	$pin2id[++$i]['name'] = "gpio4_pg3";
	$pin2id[$i]['desc'] = "Out 4";
	$pin2id[++$i]['name'] = "gpio5_pg1";
	$pin2id[$i]['desc'] = "Out 5";
	$pin2id[++$i]['name'] = "gpio6_pg5";
	$pin2id[$i]['desc'] = "Out 6";
	$pin2id[++$i]['name'] = "gpio7_pg7";
	$pin2id[$i]['desc'] = "Out 7";
	$pin2id[++$i]['name'] = "gpio8_pg9";
	$pin2id[$i]['desc'] = "Out 8";
	$pin2id[++$i]['name'] = "gpio9_pg11";
	$pin2id[$i]['desc'] = "Out 9";

	if(isset($_GET['reinit']) && $_GET['reinit'] == "true")
	{
		reinit_output($pin2id, $i);
	}

	if(isset($_GET['t_id']) && $_GET['t_id'] == (int)$_GET['t_id'] && !isset($_GET['ns']))
	{
		toggle($pin2id[(int)$_GET['t_id']]['name']);
		header("Location: " . $_SERVER['PHP_SELF']);
	}
?>